Mesh FromPartShape/ru

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Mesh FromPartShape and the translation is 0% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Mesh ExportMesh.png Export Mesh

Mesh MeshFromShape.png Mesh MeshFromShape‏‎

Расположение в меню
Сетки → Создайте сетку из фигуры
Верстаки
Mesh
Быстрые клавиши
отсутствуют
Представлено в версии
-
См. также


Introduction

This command creates a mesh from a shape object.

Usage

There are two methods:

  1. Either select the shape object, then choose MeshesMesh Mesh from Shape.svg Create Mesh from shape... from the top menu.
  2. Just selecting MeshesMesh Mesh from Shape.svg Create Mesh from shape... will give you an additional menu to choose your shape to mesh.

In both cases you get a menu that asks for the mesher program to use and its settings.
The settings you make there will be stored and used as default for the next time you create a mesh from a shape. introduced in version 0.19.

Mesher program

You can choose one of these 3 mesher programs:

Standard Mesher

Mesh Mesher Standard.jpg

You can change these settings:

  • Surface deviation: Maximal linear deflection of a mesh section from the surface of the object
  • Angular deviation: Maximal angular deflection from one mesh section to the next section
  • Relative surface deviation: If checked, the maximal linear deviation of a mesh segment will be the specified Surface deviation multiplied by the length of the current mesh segment (edge)
  • Apply face colors to mesh: If checked, the mesh will get the face colors of the object
  • Define segments by face colors: If checked, mesh segments will be grouped according to the color of the object faces. These groups will be exported for mesh output formats supporting this feature (e.g. the format OBJ).

Mefisto Mesher

Mesh Mesher Mefisto.jpg

The only setting is:

  • Maximum edge length: If this number is smaller the mesh becomes finer. The smallest value is 0.

Netgen Mesher

Mesh Mesher Netgen.jpg

You can choose between mesh Fineness being:

  • Very coarse
  • Coarse
  • Moderate
  • Fine
  • Very fine
  • User defined
For this you can set these values:
Mesh size grading: If this parameter is smaller, the mesh becomes finer. A value in the range of 0.1-1.
Element per edge: If this parameter is larger, the mesh becomes finer. A value in the range of 0.2-10.
Element per curvature radius: If this parameter is larger, the mesh becomes finer. A value in the range of 0.2-10.

For every Fineness you can also choose:

  • Optimize surface: Whether an optimization of surface shape will be done.
  • Second order elements: Whether second order elements will be generated.
  • Quad dominated: Whether meshes will be arranged preferably using quadrilateral faces.

Scripting

This tool can be used in macros and from the Python console by using the following function:

MeshPart.meshFromShape(Shape=Shape, MaxLength=520)

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

Notes

Arrow-left.svg Previous: Mesh ExportMesh.png Export Mesh